DELETE /api/client/grants/:oauthClientId

Revokes every token that agent holds. It has to be allowed again to continue.

Surface: client. Who may call: client. Key: client.grants.revoke.

Example request

curl -X DELETE https://caremcp.com/api/client/grants/7d1f0a0e-2c4b-4c7e-9a6e-000000000001 \
  -H "Authorization: Bearer <session or access token>"

Example input

{
  "oauthClientId": "7d1f0a0e-2c4b-4c7e-9a6e-000000000001"
}

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "oauthClientId": {
   "type": "string",
   "format": "uuid",
   "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
  }
 },
 "required": [
  "oauthClientId"
 ]
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "ok": {
   "type": "boolean",
   "const": true
  }
 },
 "required": [
  "ok"
 ],
 "additionalProperties": false
}